/*
 * away.h: stuff for tracking away messages.
 * 
 * Copyright 2002-2007 the Ithildin Project.
 * See the COPYING file for more information on licensing and use.
 * 
 * $Id$
 */

#ifndef IRCD_COMMANDS_AWAY_H
#define IRCD_COMMANDS_AWAY_H

/* for away messages.  if the away command isn't loaded, there are no away
 * messages..  */
extern struct mdext_item *away_mdext;
/* safely look for an away message. */
#define AWAYMSG(x) \
(away_mdext != NULL ? *(char **)(mdext(x, away_mdext)) : NULL)

#define RPL_AWAY 301

#endif
